> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 异步生成图像

> 接口说明：异步生成图像，立即返回 logId，通过查询任务状态接口轮询结果。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json post /api/ai/image/generate/async
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/ai/image/generate/async:
    post:
      tags:
        - AI 服务/图像生成
      summary: 异步生成图像
      description: 接口说明：异步生成图像，立即返回 logId，通过查询任务状态接口轮询结果。
      operationId: ImageController_generateImageAsync
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 1
                  maxLength: 4000
                  description: 图片描述提示
                model:
                  type: string
                  description: 图片生成模型
                'n':
                  description: 生成图片数量
                  type: integer
                  minimum: 1
                  maximum: 10
                quality:
                  description: 图片质量
                  type: string
                response_format:
                  type: string
                  enum:
                    - url
                    - b64_json
                  description: 返回格式
                size:
                  type: string
                  description: 图片尺寸
                style:
                  description: 图片风格
                  type: string
                user:
                  type: string
                  description: 用户标识符
                source:
                  description: 消费来源
                  type: string
                  enum:
                    - ai_image
                    - ai_draft_generation
                    - plugin
              required:
                - prompt
                - model
            examples: {}
        required: true
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AsyncTaskResponseVo'
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      logId: string
                      status: generating
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: 参数验证失败
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: 未认证或 API Key 无效
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                invalidModel12300:
                  summary: InvalidModel (12300)
                  value:
                    code: 12300
                    message: 无效的 AI 模型
                    data: {}
                    timestamp: 1772099056662
                userCreditsInsufficient12001:
                  summary: UserCreditsInsufficient (12001)
                  value:
                    code: 12001
                    message: 用户Credits不足
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    AsyncTaskResponseVo:
      type: object
      properties:
        logId:
          type: string
          description: 任务日志ID
        status:
          type: string
          enum:
            - generating
            - success
            - failed
          description: 任务状态
      required:
        - logId
        - status
      additionalProperties: false
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: AiToEarn Open Platform API Key。

````